<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Login</title>

    <link rel="stylesheet"
          href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css"
          integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb"
          crossorigin="anonymous">
</head>
<body class="bg-dark">
    <div class="container-fluid">
        <div class="row">
            <div class="col">
                <div class="w-50 p-3 mt-5 mx-auto bg-light rounded">
                    <h1 class="text-primary text-center">Login to Fake AUTH Server</h1>
                    <p id="msg" class="text-danger text-center font-weight-bold"></p>

                    <form method="post" action="/auth/login">
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" id="email" name="uid" class="form-control"
                                   placeholder="Email address" required/>
                        </div>

                        <div class="form-group">
                            <label for="pwd">Password</label>
                            <input type="password" id="pwd" name="pwd" class="form-control"
                                   placeholder="Your password" required/>
                        </div>

                        <div class="form-group px-5">
                            <button type="submit" class="btn btn-success btn-block">Sign In</button>
                        </div>
                    </form>

                    <div class="row">
                        <div class="col text-center">
                            <a href="/protected/dashboard" class="text-dark">
                                Link to protected page (should not work)
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
            integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js"
            integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh"
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js"
            integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ"
            crossorigin="anonymous"></script>
    <script type="application/javascript">
        $(() => {
            let errmsg = new URLSearchParams(document.location.search).get('msg');
            if (errmsg) {
                $('#msg').text(errmsg);
            }
        });
    </script>
</body>
</html>